cascading.flow.hadoop.planner

## Class MapReduceHadoopRuleRegistry

- java.lang.Object
- - cascading.flow.planner.rule.RuleRegistry
  - - cascading.flow.hadoop.planner.MapReduceHadoopRuleRegistry

-     public class MapReduceHadoopRuleRegistry
      extends RuleRegistry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapReduceHadoopRuleRegistry()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleRegistry

      `addDefaultElementFactory, addElementFactory, addRule, enableDebugLogging, enabledResolveElements, equals, getElementFactory, getName, getProcessLevels, getRulesFor, hasElementFactory, hashCode, hasRule, setResolveElementsEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapReduceHadoopRuleRegistry

          public MapReduceHadoopRuleRegistry()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.